org.apache.cassandra.thrift

## Class CustomTNonBlockingServer.CustomFrameBuffer

- java.lang.Object
- - org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer
  - - org.apache.cassandra.thrift.CustomTNonBlockingServer.CustomFrameBuffer

Enclosing class:
  CustomTNonBlockingServer

    public class CustomTNonBlockingServer.CustomFrameBuffer
    extends org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer

### Field Summary

### Fields inherited from class org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer

`buffer_, context_, frameTrans_, inProt_, inTrans_, outProt_, outTrans_, response_, selectionKey_, selectThread_, state_, trans_`

### Constructor Summary

Constructors
Constructor and Description
`CustomFrameBuffer(org.apache.thrift.transport.TNonblockingTransport trans, java.nio.channels.SelectionKey selectionKey, org.apache.thrift.server.AbstractNonblockingServer.AbstractSelectThread selectThread)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.thrift.transport.TNonblockingTransport` `getTransport()`

### Methods inherited from class org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer

`changeSelectInterests, close, invoke, isFrameFullyRead, read, requestSelectInterestChange, responseReady, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomFrameBuffer

    public CustomFrameBuffer(org.apache.thrift.transport.TNonblockingTransport trans,
                             java.nio.channels.SelectionKey selectionKey,
                             org.apache.thrift.server.AbstractNonblockingServer.AbstractSelectThread selectThread)

### Method Detail

#### getTransport

    public org.apache.thrift.transport.TNonblockingTransport getTransport()